controller:
  updateStrategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1

  service:
    annotations:
      kubernetes.io/elb.class: union
      kubernetes.io/elb.port: '80'
      kubernetes.io/elb.id: 
      kubernetes.io/elb.ip: 

  ingressClassResource:
    name: nginx

  # added for idpbuilder
  allowSnippetAnnotations: true

  # added for idpbuilder
  config:
    proxy-buffer-size: 32k
    use-forwarded-headers: "true"

  # monitoring nginx
  metrics:
    enabled: true
    serviceMonitor:
      additionalLabels: 
        release: "ingress-nginx"  
      enabled: true
